Subject: Re: [dispatch] Final Charter for Session-ID?

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 1 Jul 2010 04:47:03 -0400

I was proposing that it be for any method type.  I don't think that name of the header confuses anyone.  For example "Call-ID" is used for things which have nothing to do with "Calls", yet no one seems confused.

-hadriel

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Elwell, John
> Sent: Wednesday, June 16, 2010 9:45 AM
> 
> When Cullen raised the question, I was wondering whether two dialogs are
> related if the media from the session associated with one dialog is
> forwarded to the session associated with the other dialog. But then I
> realised that this would not apply if you wanted to correlate two dialogs
> that are not session-related, e.g., two SUBSCRIBE-initiated dialogs. But
> on the other hand, the term session-ID hardly seems the right term for two
> related SUBSCRIBE-initiated dialogs, since there is no session involved.
> 
> So the first question to be asked is whether the work should really be
> limited to sessions, or whether it could apply to other types of dialog,
> or even to non-dialog-forming transactions such as MESSAGE and PUBLISH
> when they cross a B2BUA. Depending on the answer to this, the name and
> definition of the object we are trying to describe can be selected.
> 
> John

---

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 1 Jul 2010 05:01:36 -0400

> From: Dawes, Peter, VF-Group [mailto:[email-masked]]
> Sent: Thursday, June 10, 2010 5:52 AM
> To: [email-masked]
> 
> Hello All,
> I agree with Cullen in that the implementer of a B2BUA will need more
> guidance than is in the proposed charter now in order to decide whether
> dialogs are related, but I think the first question is how much of this
> guidance goes in the charter and how much in the working group drafts.

Yes exactly.  ISTM that a charter shouldn't define the solution.

-hadriel